<mamecheat version="1">

  <cheat desc="Select Starting Round">
    <parameter min="1" max="8" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@FF81D7==00)">maincpu.pb@FF81D7=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Hit Anywhere">
    <script state="on">
      <action>temp0 =maincpu.mw@00A60C</action>
      <action>temp1 =maincpu.mw@00A620</action>
      <action>temp2 =maincpu.mw@00A55C</action>
      <action>temp3 =maincpu.mw@00A570</action>
      <action>temp4 =maincpu.mw@00A6C0</action>
      <action>temp5 =maincpu.mw@00A6D6</action>
    </script>
    <script state="run">
      <action>maincpu.mw@00A60C=4E71</action> <!-- This ROM cheat was made by nolberto82 -->
      <action>maincpu.mw@00A620=4E71</action>
      <action>maincpu.mw@00A55C=4E71</action>
      <action>maincpu.mw@00A570=4E71</action>
      <action>maincpu.mw@00A6C0=6002</action>
      <action>maincpu.mw@00A6D6=4E71</action>
    </script>
    <script state="off">
      <action>maincpu.mw@00A60C=temp0 </action>
      <action>maincpu.mw@00A620=temp1 </action>
      <action>maincpu.mw@00A55C=temp2 </action>
      <action>maincpu.mw@00A570=temp3 </action>
      <action>maincpu.mw@00A6C0=temp4 </action>
      <action>maincpu.mw@00A6D6=temp5 </action>
    </script>
  </cheat>

  <cheat desc="One Hit Kills">
    <script state="on">
      <action>temp0 =maincpu.mw@00A640</action>
      <action>temp1 =maincpu.mw@00A58E</action>
    </script>
    <script state="run">
      <action>maincpu.mw@00A640=4E71</action> <!-- This ROM cheat was made by nolberto82 -->
      <action>maincpu.mw@00A58E=6002</action>
    </script>
    <script state="off">
      <action>maincpu.mw@00A640=temp0 </action>
      <action>maincpu.mw@00A58E=temp1 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@FF82E6=0E</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pw@FF8288=0999</action>
    </script>
  </cheat>

  <cheat desc="Character level 8 (max) PL1">
    <script state="run">
      <action>maincpu.pb@FF82EE=07</action>
    </script>
  </cheat>

  <cheat desc="Weapon level 8 (max) PL1">
    <script state="run">
      <action>maincpu.pb@FF82E9=07</action>
    </script>
  </cheat>

  <cheat desc="Maximum Weapon Power PL1">
    <script state="run">
      <action>maincpu.pb@FF82E2=0B</action>
      <action>maincpu.pb@FF82EF=07</action>
    </script>
  </cheat>

  <cheat desc="Maximum Blue Balls PL1">
    <script state="run">
      <action>maincpu.pb@FF82E1=02</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@FF8386=0E</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pw@FF8328=0999</action>
    </script>
  </cheat>

  <cheat desc="Character level 8 (max) PL2">
    <script state="run">
      <action>maincpu.pb@FF838E=07</action>
    </script>
  </cheat>

  <cheat desc="Weapon level 8 (max) PL2">
    <script state="run">
      <action>maincpu.pb@FF8389=07</action>
    </script>
  </cheat>

  <cheat desc="Maximum Weapon Power PL2">
    <script state="run">
      <action>maincpu.pb@FF8382=0B</action>
      <action>maincpu.pb@FF838F=07</action>
    </script>
  </cheat>

  <cheat desc="Maximum Blue Balls PL2">
    <script state="run">
      <action>maincpu.pb@FF8381=02</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="255" step="1"/>
    <script state="change">
      <action>maincpu.pb@800181=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
